<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Ejemplo_1</title>
</head>
<body>
    <h1>Ejemplo 1</h1>

    <script>
        
        const foo = (array) => {
            let sum = 0,
            product = 1;
            for (var i = 0; i < array.length; i++) {
                sum += array[i];
            }
            for (var i = 0; i < array.length; i++) {
                product *= array[i];
            }
            console.log(sum + "," + product);
        }

        let f = [1,2,3,4,5,6,7];
        foo(f);

    </script>
    
</body>
</html>